#ifndef __DM_DEFAULT_DEFAULT_H_
#define __DM_DEFAULT_DEFAULT_H_

/* Public functions */
int GGIDMsetmode(ggi_visual_t vis, int sizex, int sizey, int frames,
		 ggi_graphtype type);
int GGIDMsetflags(ggi_visual_t vis, ggi_flags flags);
int GGIDMflush(ggi_visual_t vis, int x, int y, int w, int h, int tryflag);
int GGIDMsetpalvec(ggi_visual_t vis, int start, int len, ggi_color *colormap);
ggidm_drawmap GGIDMadddrawmap(ggi_visual_t vis, int sizex, int sizey,
			      int flags);
int GGIDMflip(ggi_visual_t vis);
int GGIDMclosedrawmap(ggidm_drawmap dm);
int GGIDMacquire(ggidm_drawmap dm, int acquire);

ggi_visual_t GGIDMgetvisual(ggidm_drawmap dm);

/* Internal functions */
/* visual.c */
void free_visual(dmext *hook, dmvisual *dv);
int expand_visual(dmvisual *dv, int ex, int ey);
dmvisual *create_visual(dmext *hook);
int physically_set_mode(dmext *hook, dmvisual *dv);

/* dm.c */
int merge_rects(dmrect **list, dmrect *newrc);
int insert_drawmap(dmvisual *dv, ggidm_drawmap dm);
int __GGIDMacquire(dmext *hook, ggidm_drawmap dm, int acquire);


#endif /* __DM_DEFAULT_DEFAULT_H_ */
